{
	"name": "hoteline",
	"version": "1.0.0",
	"description": "12345政务服务便民系统",
	"author": "zc",
	"license": "MIT",
	"scripts": {
		"dev": "vite --force",
		"build": "vite build",
		"test": "vite build --mode test",
		"preview": "vite preview",
		"serve": "http-server ./dist",
		"lint-fix": "eslint --fix --ext .js --ext .jsx --ext .vue src/"
	},
	"dependencies": {
		"@element-plus/icons-vue": "^2.0.10",
		"@logicflow/core": "^1.1.31",
		"@logicflow/extension": "^1.1.31",
		"@microsoft/signalr": "^7.0.0",
		"@wangeditor/editor": "^5.1.23",
		"@wangeditor/editor-for-vue": "^5.1.12",
		"axios": "^1.2.0",
		"echarts": "^5.4.0",
		"element-plus": "^2.2.22",
		"file-saver": "^2.0.5",
		"js-cookie": "^3.0.1",
		"js-table2excel": "^1.0.3",
		"jsencrypt": "^3.3.2",
		"mitt": "^3.0.0",
		"nprogress": "^0.2.0",
		"pinia": "^2.0.25",
		"pinia-plugin-persist": "^1.0.0",
		"qrcodejs2-fixes": "^0.0.2",
		"qs": "^6.11.0",
		"screenfull": "^6.0.2",
		"sortablejs": "^1.15.0",
		"v-viewer": "^3.0.10",
		"vue": "^3.2.45",
		"vue-clipboard3": "^2.0.0",
		"vue-router": "^4.1.6",
		"vue3-seamless-scroll": "^2.0.1",
		"vuedraggable": "^4.1.0"
	},
	"devDependencies": {
		"@types/node": "^18.11.9",
		"@types/nprogress": "^0.2.0",
		"@types/qs": "^6.9.7",
		"@typescript-eslint/eslint-plugin": "^5.44.0",
		"@typescript-eslint/parser": "^5.44.0",
		"@vitejs/plugin-vue": "^3.2.0",
		"@vue/compiler-sfc": "^3.2.45",
		"dotenv": "^16.0.3",
		"eslint": "^8.28.0",
		"eslint-plugin-vue": "^9.7.0",
		"prettier": "^2.8.0",
		"sass": "^1.56.1",
		"sass-loader": "^13.2.0",
		"typescript": "^4.9.3",
		"vite": "^3.2.4",
		"vite-plugin-compression": "^0.5.1",
		"vite-plugin-vue-setup-extend-plus": "^0.1.0",
		"vue-eslint-parser": "^9.1.0"
	},
	"browserslist": [
		"> 1%",
		"last 2 versions",
		"not dead"
	],
	"engines": {
		"node": ">=12.0.0",
		"npm": ">= 6.0.0"
	}
}
